From 4d6634443a15f4d5a2773642c1b727e7191bbdaf Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 12/32] Issues: Move views to separate file


---

diff --git a/hubs/widgets/issues/__init__.py b/hubs/widgets/issues/__init__.py
index dbc919c..751e0e3 100644
--- a/hubs/widgets/issues/__init__.py
+++ b/hubs/widgets/issues/__init__.py
@@ -1,11 +1,7 @@
 from __future__ import unicode_literals
-
-import arrow
 import flask
 
 from hubs.widgets.base import Widget
-from hubs.widgets.view import WidgetView
-from .functions import *
 
 
 class Issues(Widget):
@@ -21,6 +17,7 @@ class Issues(Widget):
     ]
     is_react = True
     cached_functions_module = ".functions"
+    views_module = ".views"
 
     def get_props(self, instance, *args, **kwargs):
         props = super(Issues, self).get_props(instance, *args, **kwargs)
@@ -35,39 +32,3 @@ class Issues(Widget):
                 )
             ))
         return props
-
-
-class DataView(WidgetView):
-    """Get issues in JSON format."""
-
-    name = "data"
-    url_rules = ["data"]
-    json = True
-
-    def get_context(self, instance, *args, **kwargs):
-        [bugzilla, bzcnt] = GetBugzillaBugs(instance)()
-        [pagure, pcnt] = GetPagureIssues(instance)()
-        [github, ghcnt] = GetGithubIssues(instance)()
-
-        all_issues = bugzilla + pagure + github
-        all_issues.sort(key=lambda x: arrow.get(x['updated_at']), reverse=True)
-        all_issues = all_issues[:min(15, len(all_issues))]
-
-        data = {
-            'issues': all_issues,
-            'more': {
-                'bugzilla': {'count': bzcnt,
-                             'link': 'https://bugzilla.redhat.com/buglist.cgi?quicksearch={}:{}'
-                                     .format('reporter' if instance.config['mode'] == 'author' else 'assigned_to',
-                                             instance.hub.config['bugzilla_email'])
-                             },
-                'pagure': {'count': pcnt,
-                           'link': 'https://pagure.io/user/{}/issues'.format(instance.hub.config['pagure_username'])
-                           },
-                'github': {'count': ghcnt,
-                           'link': 'https://github.com/issues?q=type:issue+state:open+{}:{}'
-                                    .format(instance.config['mode'], instance.hub.config['github_username'])
-                           }
-            }
-        }
-        return dict(status='OK', data=data)
diff --git a/hubs/widgets/issues/views.py b/hubs/widgets/issues/views.py
new file mode 100644
index 0000000..b0ef61d
--- /dev/null
+++ b/hubs/widgets/issues/views.py
@@ -0,0 +1,39 @@
+from hubs.widgets.view import WidgetView
+from .functions import *
+import arrow
+
+
+class DataView(WidgetView):
+    """Get issues in JSON format."""
+
+    name = "data"
+    url_rules = ["data"]
+    json = True
+
+    def get_context(self, instance, *args, **kwargs):
+        [bugzilla, bzcnt] = GetBugzillaBugs(instance)()
+        [pagure, pcnt] = GetPagureIssues(instance)()
+        [github, ghcnt] = GetGithubIssues(instance)()
+
+        all_issues = bugzilla + pagure + github
+        all_issues.sort(key=lambda x: arrow.get(x['updated_at']), reverse=True)
+        all_issues = all_issues[:min(15, len(all_issues))]
+
+        data = {
+            'issues': all_issues,
+            'more': {
+                'bugzilla': {'count': bzcnt,
+                             'link': 'https://bugzilla.redhat.com/buglist.cgi?quicksearch={}:{}'
+                                     .format('reporter' if instance.config['mode'] == 'author' else 'assigned_to',
+                                             instance.hub.config['bugzilla_email'])
+                             },
+                'pagure': {'count': pcnt,
+                           'link': 'https://pagure.io/user/{}/issues'.format(instance.hub.config['pagure_username'])
+                           },
+                'github': {'count': ghcnt,
+                           'link': 'https://github.com/issues?q=type:issue+state:open+{}:{}'
+                                    .format(instance.config['mode'], instance.hub.config['github_username'])
+                           }
+            }
+        }
+        return dict(status='OK', data=data)

